#!/bin/bash

set -e

# Github auth for private npm packages
su -c "echo \"//github.com/:_authToken=$GH_TOKEN\" > /home/${RN_PROJECT_FOLDER_NAME}/.npmrc"

# install npm dependencies
su -c "cd /home/${RN_PROJECT_FOLDER_NAME} && npm install"

# remove the token
su -c "rm -f /home/${RN_PROJECT_FOLDER_NAME}/.npmrc"

# run supervisord
exec /usr/bin/supervisord -c /etc/supervisor/conf.d/supervisord.conf